【gradle】gradleのtask wrapperの書き方が変わっていた

asaba 著者:asaba

【gradle】gradleのtask wrapperの書き方が変わっていた

build.gradleに書いてあるtask wrapper(type: Wrapper)は

gradle5.0から書き方が変わったらしく、そのままビルドすると

 


ERROR: Cannot add task 'wrapper' as a task with that name already exists.

 

エラーになってしまいます。

 

ここでは一番最初に記載されてあるtaskとtype:Wrapperを消去して

 


これを

task wrapper(type: Wrapper) {
gradleVersion = '5.4'
}

 


修正

wrapper{
gradleVersion = '5.4'
}

 

wrapperのみ記述することでエラーを回避することができます。

現状ではこの回避方法が無難かなぁと思います。

 

愚痴ですが、gradleのバージョンを上げなければandroidStudioでビルドしてくれない。

上げたら上げたでまた別の依存関係が出てくる(主にgoogle-serviceとか)

 

google-serviceの依存関係って本当面倒だ・・・。

 

  • この記事いいね! (0)

著者について

asaba

asaba author

好きなもの:RPG、チョコミント 少しずつ頑張ります。